<?php

/**
 * @package WordPress
 * @subpackage Especial_Theme
 */


	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		This post is password protected. Enter the password to view comments.
	<?php
		return;
	}
?>

<?php if ( have_comments() ) : ?>

<a name="comments" id="comm"></a>
<div class="inside_title">
	<h2><?php comments_number('No Comments', 'One Comment', '% Comments' );?></h2>
</div>

<div class="navigation">
    <div class="next-posts"><?php previous_comments_link() ?></div>
    <div class="prev-posts"><?php next_comments_link() ?></div>
</div>

<ol class="commentlist">
<?php wp_list_comments('avatar_size=68&type=comment'); ?>
</ol>

<div class="navigation">
    <div class="next-posts"><?php previous_comments_link() ?></div>
    <div class="prev-posts"><?php next_comments_link() ?></div>
</div>
	
<?php else : ?>
	<?php if ( comments_open() ) : ?>
	<?php else : ?>
	<?php endif; ?>
<?php endif; ?>
<?php if ( comments_open() ) : ?>



<div id="respond">

<div class="inside_title">
<h2><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h2>
</div>


	<div class="cancel-comment-reply">
		<?php cancel_comment_reply_link(); ?>
	</div>

	<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
		<p>You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.</p>
	<?php else : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

		<?php if ( is_user_logged_in() ) : ?>

			<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>

		<?php else : ?>
        
<div class="form2_input_standart">
<label for="author">Name <?php if ($req) echo "*"; ?></label>
<input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
</div>

<div class="form2_input_standart">
<label for="email">E-mail (will not be published) <?php if ($req) echo "*"; ?></label>
<input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
</div>

<div class="form2_input_standart">
<label for="url">Website</label>
<input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" tabindex="3" />
</div>

<?php endif; ?>
<!--<p>You can use these tags: <code><?php echo allowed_tags(); ?></code></p>-->
        
<div class="form2_textarea">
<label for="comment">Comment <?php if ($req) echo "*"; ?></label>
<textarea name="comment" id="comment" tabindex="4"></textarea>
</textarea>
</div>

<div class="form_info_form">Required fields are marked *</div>

<div class="form2_submit field"> 
<input type="submit" class="form2_button" value="Submit post" name="contactus" id="contactus" />
</div>

<?php comment_id_fields(); ?>

<?php do_action('comment_form', $post->ID); ?>

</form>

	<?php endif; // If registration required and not logged in ?>
	
</div>

<?php endif; ?>
