<?php
	// Grab custom settings
	global $especial_theme_options;
	$logo_upload = especial_get_option( get_option_tree('logo_upload', $especial_theme_options, false, false ), get_template_directory_uri() . '/images/logo.png', false ); 
	$logo_url = especial_get_option( get_option_tree('logo_url', $especial_theme_options, false, false ), '', false ); 
	$email_input = especial_get_option( get_option_tree('email_input', $especial_theme_options, false, false ), '', false );
	$copyright_input = especial_get_option( get_option_tree('copyright_input', $especial_theme_options, false, false ), '', false );
	$tracking_code = especial_get_option( get_option_tree('tracking_code', $especial_theme_options, false, false ), '', false );

?>
</div><!--//  END Main Content  -->

<div class="clear"></div>
</div>

<div class="push"></div>
</div>

<div class="footer">
<div class="footer_inside">
<div class="totop" id="toc"><a href="#top"><span>to top</span></a></div>

<div class="footer_box1">
<!--  Logo  //-->
<?php 
// If logo URL is set, override the logo_url
	if ( $logo_url )
		$logo_upload = $logo_url;
?>
<div class="footer_logo">
<a href="<?php echo home_url(); ?>/"><img src="<?php echo $logo_upload; ?>" alt="<?php bloginfo('name'); ?>"/></a>
</div>
<!--//  END Logo  -->

<div class="footer_copy">
<p><?php echo $copyright_input; ?></p>
</div>

</div>



<div class="footer_box2">
<div class="footer_box_title"><span>Navigation</span></div>

<ul>
<?php wp_nav_menu( 'id=navbar&depth=1' ); ?>

</ul>


</div>


<div class="footer_box3">
<div class="footer_box_title"><span>Social</span></div>
<div class="social-links">

	<?php if(get_option_tree('twitter')) { ?>
    <a href="<?php get_option_tree('twitter',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/twitter_icon.png" title="twitter" alt="twitter"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('facebook')) { ?>
    <a href="<?php get_option_tree('facebook',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/facebook_icon.png" title="facebook" alt="facebook"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('flickr')) { ?>
    <a href="<?php get_option_tree('flickr',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/flickr_icon.png" title="flickr" alt="flickr"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('dribble')) { ?>
    <a href="<?php get_option_tree('dribble',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/dribble_icon.png" title="dribble" alt="dribble"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('behance')) { ?>
    <a href="<?php get_option_tree('behance',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/behance_icon.png" title="behance" alt="behance"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('linkedin')) { ?>
    <a href="<?php get_option_tree('linkedin',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/linkedin_icon.png" title="linkedin" alt="linkedin"/></a>
	<?php } ?>   
    
	<?php if(get_option_tree('digg')) { ?>
    <a href="<?php get_option_tree('digg',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/digg_icon.png" title="digg" alt="digg"/></a>
	<?php } ?> 
    
	<?php if(get_option_tree('rss')) { ?>
    <a href="<?php get_option_tree('rss',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/rss_icon.png" title="rss" alt="rss"/></a>
	<?php } ?>  
    
	<?php if(get_option_tree('stumbleupon')) { ?>
    <a href="<?php get_option_tree('stumbleupon',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/stumbleupon_icon.png" title="stumbleupon" alt="stumbleupon"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('youtube')) { ?>
    <a href="<?php get_option_tree('youtube',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/youtube_icon.png" title="youtube" alt="youtube"/></a>
	<?php } ?>  

	<?php if(get_option_tree('skype')) { ?>
    <a href="<?php get_option_tree('skype',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/skype_icon.png" title="skype" alt="skype"/></a>
	<?php } ?>
    
	<?php if(get_option_tree('tumblr')) { ?>
    <a href="<?php get_option_tree('tumblr',$theme_options,'true'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/social/tumblr_icon.png" title="tumblr" alt="tumblr"/></a>
	<?php } ?>
    

</div>
</div>

<div class="footer_box4">
<div class="footer_box_title"><span>Contact Form</span></div>
<!--  Contact form  //-->

<div id="contact_form2" >
<div id="Note2"></div>


 <!--  FORM VALIDATOR  // --> 
<script type="text/javascript">
$(document).ready(function(){
	 function ajaxContact(theForm) {
		var $ = jQuery;
	
        $('#loader2').fadeIn();

        var formData = $(theForm).serialize(),
			note = $('#Note2');
	
        $.ajax({
            type: "POST",
            url: "<?php echo get_template_directory_uri(); ?>/send.php",
            data: formData,
            success: function(response) {
				if ( note.height() ) {			
					note.fadeIn('fast', function() { $(this).hide(); });
				} else {
					note.hide();
				}

				$('#LoadingGraphic2').fadeOut('fast', function() {
					//$(this).remove();
					if (response === 'success') {
						$('.field2').animate({opacity: 0},'fast');
						$('.form_input').animate({opacity: 0},'fast');
					}

					// Message Sent? Show the 'Thank You' message and hide the form
					result = '';
					c = '';
					if (response === 'success') { 
						result = '<span class="thank_txt">Your message has been sent. Thank you!<\/span>';
						c = 'success';
					}

					note.removeClass('success').removeClass('error').text('');
					var i = setInterval(function() {
						if ( !note.is(':visible') ) {
							note.html(result).addClass(c).slideDown('fast');
							clearInterval(i);
						}
					}, 40);    
				});
            }
        });

        return false;
    }
	if ($("#contactform2").length) {
	jQuery("#contactform2").validate({
			submitHandler: function(form) {				
				ajaxContact(form);
				return false;
			},
			 messages: {
    		 formname: "Please specify your name.",
			 formcomments: "Please enter your message.",
    		 formemail: {
      			 required: "We need your email address to contact you.",
      			 email: "Your email address must be in the format of name@domain.com"
    		 }
  		 }
		});
		 }


}); 
</script>


<form action="" method="post"  class="cmxform"  id="contactform2">
<div class="form_input_height field2">
<label for="formname">Name *</label>
<input id="formname" value="" name="formname" class="required form_input" type="text"   />
</div>
<div class="form_input_height field2">
<label for="formemail">Email *</label>
<input id="formemail" name="formemail" class="required email form_input" value=""  type="text" />
</div>
<div class="form_area_height field2">
<textarea id="formcomments" name="formcomments" class="required" rows="5" cols="10"></textarea>
</div>
<div class="form_submit field2"> 
<input type="submit" class="form_foot_button" value="send email" name="contactus2" id="contactus2" />
</div>
<input class="" type="hidden" name="to" value="<?php echo $email_input; ?>" />
<input class="" type="hidden" name="subject" value="Message from Your Website" />
<input class="" type="hidden" name="e_name" value="Please enter your name.&lt;br /&gt;" />
<input class="" type="hidden" name="e_email" value="Please enter an e-mail address.&lt;br /&gt;" />
<input class="" type="hidden" name="e_bademail" value="Please enter a valid e-mail address.&lt;br /&gt;" />
<input class="" type="hidden" name="e_message" value="Please enter your message. It should have at least 3 characters.&lt;br /&gt;" />
<span id="loader2" style="display:none;"><img src="<?php echo get_template_directory_uri(); ?>/images/loader.gif" alt="Loading..." id="LoadingGraphic2" /></span>
</form>

</div>
<!--// END Contact form  -->
</div>
        
        
</div>
</div>


<!-- Theme Hook -->
<?php wp_footer(); ?>
	
<!--  Tracking Code  // --> 
    
<?php echo $tracking_code; ?>
	
</body>

</html>
