<?php
////////////////////////////////////////////////////////////////////////////////
// PAGE WRITE PANELS
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// ACTIONS
////////////////////////////////////////////////////////////////////////////////
add_action('admin_menu', 'create_meta_box');
add_action('save_post', 'save_postdata');
  
function create_meta_box() {
global $theme_name;
if ( function_exists('add_meta_box') ) {
add_meta_box( 'new-meta-boxes', 'Especial Post Settings', 'new_meta_boxes', 'post', 'normal', 'high' );
}
}
  
  /* save post data here */
  function save_postdata( $post_id ) {
    
   // if ($_POST['post_type'] ==  'page' || )
    {
         global $post, $new_meta_boxes;
        
        foreach($new_meta_boxes as $meta_box) {
        if($meta_box['type'] != "divider"){
        // Verify
        if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {
        return $post_id;
        }
        
        if ( 'post' == $_POST['post_type'] ) {
          if ( !current_user_can( 'edit_page', $post_id ))
          return $post_id;
        } else {
        if ( !current_user_can( 'edit_post', $post_id ))
        return $post_id;
        }
 
        $data = $_POST[$meta_box['name']];
        $data = addslashes($data);
        if(get_post_meta($post_id, $meta_box['name']) == "")
        add_post_meta($post_id, $meta_box['name'], $data, true);
        elseif($data != get_post_meta($post_id, $meta_box['name'], true))
        update_post_meta($post_id, $meta_box['name'], $data);
        elseif($data == "")
        delete_post_meta($post_id, $meta_box['name'], get_post_meta($post_id, $meta_box['name'], true));
        }
        }
     }
  } // end(save_postdata)
// ARRAYS
 $new_meta_boxes =  
   array(  
   "POST SETINGS" => array(  
   "name" => "POST SETTINGS",  
   "type" => "divider"),
   
   "fullwidth" => array(  
   "name" => "fullwidth",  
   "std" => "false",  
   "title" => "Fullwidth",  
   "type" => "checkbox",
   "description" => "Display single post with fullwidth template?"), 
   
   "vimeo_embed" => array(  
   "name" => "vimeo_embed",  
   "std" => "",  
   "title" => "Vimeo Embed",  
   "description" => "Simply paste the url from a video such as Youtube or Vimeo in order post a video to the slider or portfolio.  If this item is a slider or portfolio item, this will overwrite the image feature."),
      
   "youtube_embed" => array(  
   "name" => "youtube_embed",  
   "std" => "",  
   "title" => "Youtube Embed",  
   "description" => "Simply paste the url from a video such as Youtube or Vimeo in order post a video to the slider or portfolio.  If this item is a slider or portfolio item, this will overwrite the image feature."),    
   
     
   "portfolio_description" => array(  
   "name" => "portfolio_description", 
   "type" => "textarea", 
   "std" => "",  
   "title" => "Portfolio description",  
   "description" => "Short description for portfolio items only.  Appears on the right column under the title."),
 
   
   "portfolio_details" => array(  
   "name" => "portfolio_details",  
   "std" => "",  
   "title" => "Portfolio project link",  
   "description" => "Link to live project. Enter url only. Appears on the right column under the title."),


   );
   
// HTML DRAWING

  function new_meta_boxes() {
    global $post, $new_meta_boxes;
    
    foreach($new_meta_boxes as $meta_box) {  // we'r going through all values
      $meta_box_value = get_post_meta($post->ID, $meta_box['name'], true);
  
      if($meta_box_value == "") $meta_box_value = $meta_box['std']; // if is empty, insert standart value
      $meta_box_value = stripslashes($meta_box_value);
      
      // html structure
      if($meta_box["type"] == "divider");

      else
      {
          echo '<div id="'.$meta_box['name'].'_div">';
          echo'<input type="hidden"  name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
          echo'<h2 style="color:#777;font-size:14px;font-weight:bold;font-family:arial;line-height:27px;margin-top:0px; margin-bottom:0px;padding-left:5px;padding-bottom:0;font-style:normal;">'.$meta_box['title'].'</h2>';
          if($meta_box['type'] == "textarea")     // TEXTAREA
          {
            echo '<textarea name="'.$meta_box['name'].'" width="400px" cols="55" rows="4"  style="color:#777;"/>'.$meta_box_value.'</textarea><br />';
          }
              else if($meta_box['type'] == "checkbox")
            {
               echo '<select name="'.$meta_box['name'].'" id="'.$meta_box['name'].'" style="width:70px;">';
               if($meta_box_value == "true" )
               {
                echo   '<option value="true" selected>yes</option>';
                echo   '<option value="false" >no</option>';
               
               }
               else
               {
                echo   '<option value="true"  >yes</option>';
                echo   '<option value="false" selected>no</option>';
               }
              
               echo '</select>';
            
              // echo'<input type="checkbox" name="'.$meta_box['name'].'" value="ssss" checked size="55" /><br />';
                }
          else                                    // TEXT
          {
            echo'<input type="text" id="'.$meta_box['name'].'" name="'.$meta_box['name'].'" size="68" value="'.$meta_box_value.'"  style="color:#777;" /><br />';
          }
          echo'<p><label for="'.$meta_box['name'].'_value"  style="color:#777;">'.$meta_box['description'].'</label></p>';
          echo '<div style="clear:both;display:block;font-size:0;height:0;line-height:0;width:100%;"></div></div>';
        
      }// end(else)
    }  // END FOREACH
  }    // end(page_writepanels_new)

?>
