<?php 
	/*
		Template Name: Home page - Layout 2
	*/
	global $especial_theme_options;	
	
	$home2_portfolio_page = especial_get_option( get_option_tree('home2_portfolio_page', $especial_theme_options, false, false ), '', false );
	$home2_port_posts_per_page = especial_get_option( get_option_tree('home2_port_posts_per_page', $especial_theme_options, false, false ), '3', false );
	$home2_blog_posts_per_page = especial_get_option( get_option_tree('home2_blog_posts_per_page', $especial_theme_options, false, false ), '3', false );
	$portfoliolink = get_permalink( $home2_portfolio_page );	
	$home2_blog_page = especial_get_option( get_option_tree('home2_blog_page', $especial_theme_options, false, false ), '', false );
	$bloglink = get_permalink( $home2_blog_page );

?>


<?php get_header(); ?>

<?php if(get_option_tree('slider_on_off')) { ?>

<!--  Content Slider  //-->


<?php $slider = get_option_tree('slider_type'); include("". $slider .".php");?>


<!--//  END Content Slider  -->

<?php } ?>

</div>

<!--  Main Content  //-->

<div id="main_content_full">
<div class="content_main_box_full">


<?php if(get_option_tree('welcome_on_off')) { ?>

<!--//  Welcome Box  -->

<div class="content_box" style="width:920px;">
<div class="welcomebox">
<div class="welltitlebox">
<p class="welltitle"><?php echo get_option_tree('home2_welcome_title'); ?></p>
</div>
<p class="welltxtbox"><?php echo get_option_tree('home2_welcome_text'); ?></p>
<div class="clear"></div>
</div>
</div><!--  END Welcome Box // -->

<?php } ?>

<div class="clear"></div>
<hr style="margin:20px 0 0 0" />


<?php if(get_option_tree('home2_portfolio_on_off')) { ?>

<!--//  Recent Portfolio  -->

<div class="content_box">

<div class="welcomebox">

<div class="welltitlebox">
<p class="welltitle"><?php echo get_option_tree('home2_portfolio_title'); ?></p>
<p class="wellsmall"><?php echo get_option_tree('home2_portfolio_text'); ?></p>
<div class="cont_button" style="margin-left:10px;"><a href="<?php echo $portfoliolink; ?>"><span>View the Portfolio</span></a></div>
<div class="clear"></div>
</div>

<div class="home2posts">
<?php 
$category = get_option_tree('categories_portfolio');
?>

<?php
query_posts($query_string.'');
query_posts('cat='. $category .'&showposts='.$home2_port_posts_per_page.'&paged='.$paged);
?>

<?php if (have_posts ()) : while (have_posts ()) : the_post (); ?>

<div class="home2postbox">


<?php if(get_post_meta($post->ID, 'vimeo_embed', true) != NULL) { ?>
<!-- Vimeo -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<?php $hash = unserialize(file_get_contents_curl("http://vimeo.com/api/v2/video/$vimeo.php"));?>
<div class="pr_video left">
<a href="http://vimeo.com/<?php echo $vimeo; ?>" rel="prettyPhoto" title=""><img src="<?php echo $hash[0]['thumbnail_medium']; ?>" alt="" width="193" height="139"/></a>
</div>


<?php } else { ?>

<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>

<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>

<div class="pr_video left">
<a href="http://vimeo.com/<?php echo $vimeo; ?>" rel="prettyPhoto" title="">
<?php the_post_thumbnail('homepage2'); ?>
</a>
</div>

<?php } ?>


<?php } else if(get_post_meta($post->ID, 'youtube_embed', true) != NULL) { ?>
<!-- Youtube -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="pr_video left">
<a href="http://www.youtube.com/watch?v=<?php echo $youtube; ?>" rel="prettyPhoto" title=""><img src="http://img.youtube.com/vi/<?php echo $youtube; ?>/0.jpg" width="193" height="139" /></a>
</div>

<?php } else { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>

<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<div class="pr_video left">
<a href="http://www.youtube.com/watch?v=<?php echo $youtube; ?>" rel="prettyPhoto" title="">
<?php the_post_thumbnail('homepage2'); ?>
</a>
</div>

<?php } ?>

<?php } else { ?>

<?php if(has_post_thumbnail()) { ?>
<div class="pr_photo left">
<a href="<?php 
if ( has_post_thumbnail() ) { 
$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' );
echo $src[0];
} else {}
?>
" rel="prettyPhoto">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail('homepage2'); ?>
</a>
 </div>   
<?php } else { ?>
<?php } ?>        
        
<?php } ?>


<h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
<p class="home2postdate"><?php the_time('F'); ?> <?php the_time('d'); ?>, <?php the_time('Y'); ?>
<?php if(get_post_meta($post->ID, 'comments', true) == "true"){ ?>
, <a href="<?php the_permalink() ?>#comments"><?php comments_number(); ?></a>
<?php } else { ?>
<?php  } ?> 
</p>
<?php the_excerpt2($post, 15);?>
</div>


<?php endwhile; ?>

<?php else : ?>

<h1>Posts not found</h1>

<?php endif; ?> 

</div>
<div class="clear"></div>
</div>

</div><!--  END Recent Portfolio // -->

<?php } ?>

<div class="clear"></div>
<?php if(get_option_tree('home2_blog_on_off')) { ?>

<!--//  Recent Blog  -->

<div class="content_box">

<div class="welcomebox">

<div class="welltitlebox">
<p class="welltitle"><?php echo get_option_tree('home2_blog_title'); ?></p>
<p class="wellsmall"><?php echo get_option_tree('home2_blog_text'); ?></p>
<div class="cont_button" style="margin-left:10px;"><a href="<?php echo $bloglink; ?>"><span>Read the Blog</span></a></div>
<div class="clear"></div>
</div>

<div class="home2posts">
<?php 
$category = get_option_tree('categories_blog');
?>

<?php
query_posts($query_string.'');
query_posts('cat='. $category .'&showposts='.$home2_blog_posts_per_page.'&paged='.$paged);
?>

<?php if (have_posts ()) : while (have_posts ()) : the_post (); ?>

<div class="home2postbox">


<?php if(get_post_meta($post->ID, 'vimeo_embed', true) != NULL) { ?>
<!-- Vimeo -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<?php $hash = unserialize(file_get_contents_curl("http://vimeo.com/api/v2/video/$vimeo.php"));?>
<div class="photo left">
<a href="<?php the_permalink() ?>"><img src="<?php echo $hash[0]['thumbnail_medium']; ?>" alt="" width="193" height="139"/></a>
</div>


<?php } else { ?>

<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>

<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>

<div class="photo left">
<a href="<?php the_permalink() ?>">
<?php the_post_thumbnail('homepage2'); ?>
</a>
</div>


<?php } ?>


<?php } else if(get_post_meta($post->ID, 'youtube_embed', true) != NULL) { ?>
<!-- Youtube -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="photo left">
<a href="<?php the_permalink() ?>"><img src="http://img.youtube.com/vi/<?php echo $youtube; ?>/0.jpg" width="193" height="139" /></a>
</div>

<?php } else { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>


<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<div class="photo left">
<a href="<?php the_permalink() ?>">
<?php the_post_thumbnail('homepage2'); ?>
</a>
</div>

<?php } ?>

<?php } else { ?>

<?php if(has_post_thumbnail()) { ?>
<div class="photo left">
<a href="<?php the_permalink() ?>">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail('homepage2'); ?>
</a>
 </div>   
<?php } else { ?>
<?php } ?>        
        
<?php } ?>



 <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
 <p class="home2postdate"><?php the_time('F'); ?> <?php the_time('d'); ?>, <?php the_time('Y'); ?>

<?php if (!('open' == $post-> comment_status)){ ?>
<?php } else { ?>
, <a href="<?php the_permalink() ?>#comments"><?php comments_number(); ?></a>
<?php } ?> 

 </p>
 <?php the_excerpt2($post, 15);?>
</div>


<?php endwhile; ?>

<?php else : ?>

<?php endif; ?> 

</div>
<div class="clear"></div>
</div>

</div><!--  END Recent Blog // -->

<?php } ?>

<div class="clear"></div>
</div>

<?php get_footer(); ?>