<?php

	/*
		Template Name: Portfolio Full-Width
	*/
	
global $especial_theme_options;

?>


<?php get_header(); ?>

<!--  Main Content  //-->

<div id="main_content_full">

<!--  Title & breadcrumb Box  //-->
<div class="title_box"><?php the_title(); ?></div>
<div class="breadcrumb">
<span class="bread_home">&nbsp;</span><?php if (class_exists('simple_breadcrumb')) { $bc = new simple_breadcrumb; } ?>
</div>
<!--//  END Title & breadcrumb Box  -->
<div class="content_main_box_full">


<?php 
$category = get_option_tree('categories_portfolio');
$number = get_option_tree('portfolio_posts_per_page');
?>

<?php
query_posts($query_string.'');
query_posts('cat='. $category .'&showposts='. $number .'&paged='.$paged);
?>

<?php if (have_posts ()) : while (have_posts ()) : the_post (); ?>


<!--//  Content post Box 1  -->

<div class="content_box" id="post-<?php the_ID(); ?>">

<?php if (!('open' == $post-> comment_status)){ ?>
<!--//  date and comments holder  -->
<?php include (TEMPLATEPATH . '/libraries/meta_port.php' ); ?>
<!--  END date and comments holder  //-->
<?php } else { ?>
<!--//  date and comments holder  -->
<?php include (TEMPLATEPATH . '/libraries/meta.php' ); ?>
<!--  END date and comments holder  //-->
<?php } ?> 

<h1 class="posttitle"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1>
<span class="content_box_postin">Posted in <?php the_category(', ');?></span>


<?php if(get_post_meta($post->ID, 'vimeo_embed', true) != NULL) { ?>
<!-- Vimeo -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<div class="pr_video left">
<?php $hash = unserialize(file_get_contents_curl("http://vimeo.com/api/v2/video/$vimeo.php"));?>
<a href="http://vimeo.com/<?php echo $vimeo; ?>" rel="prettyPhoto" title=""><img src="<?php echo $hash[0]['thumbnail_medium']; ?>" alt="" width="450" height="300"/></a>
</div>

<?php } else { ?>

<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<div class="pr_video left">
<a href="http://vimeo.com/<?php echo $vimeo; ?>" rel="prettyPhoto" title="">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail('portfolio-full'); ?>
</a>
</div>
<?php } ?>



<?php } else if(get_post_meta($post->ID, 'youtube_embed', true) != NULL) { ?>
<!-- Youtube -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="pr_video left">
<a href="http://www.youtube.com/watch?v=<?php echo $youtube; ?>" rel="prettyPhoto" title=""><img src="http://img.youtube.com/vi/<?php echo $youtube; ?>/0.jpg" width="450" height="300" /></a>
</div> 

<?php } else { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="pr_video left">
<a href="http://www.youtube.com/watch?v=<?php echo $youtube; ?>" rel="prettyPhoto" title="">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail('portfolio-full'); ?>
</a>
</div>
<?php } ?>


<?php } else { ?>

<?php if(has_post_thumbnail()) { ?>
<div class="pr_photo left">
<a href="<?php 
if ( has_post_thumbnail() ) { 
$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' );
echo $src[0];
} else {}
?>
" rel="prettyPhoto">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail('portfolio-full'); ?>
</a>
</div>    
<?php } else { ?>
<?php } ?>        
        
<?php } ?>

<?php the_excerpt2($post, 80);?>


<div class="cont_button"><a href="<?php the_permalink() ?>"><span>read more</span></a></div>
<div class="clear"></div>
</div><!--  END Content post Box 1 // -->



<?php endwhile; ?>

<?php else : ?>

<h1>Posts not found</h1>

<?php endif; ?> 


<div class="wp-pagenavi-box">
<?php include (TEMPLATEPATH . '/libraries/nav.php' ); ?>
</div>



</div>	
</div> <!-- END main-content -->



<?php get_footer(); ?>